## LassoMiscTextNode

LassoMiscTextNode

## Functions

LassoNode * | lasso_misc_text_node_new ()
LassoMiscTextNode * | lasso_misc_text_node_new_with_string ()
LassoMiscTextNode * | lasso_misc_text_node_new_with_xml_node ()
xmlNode * | lasso_misc_text_node_get_xml_content ()
void | lasso_misc_text_node_set_xml_content ()

## Types and Values

struct | LassoMiscTextNode

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoMiscTextNode

## Description

## Functions

### lasso_misc_text_node_new ()

    LassoNode *
    lasso_misc_text_node_new (void);

Creates a new LassoMiscTextNode object.

#### Returns

a newly created LassoMiscTextNode object

### lasso_misc_text_node_new_with_string ()

    LassoMiscTextNode *
    lasso_misc_text_node_new_with_string (const char *content);

Creates a new LassoMiscTextNode object and initializes it with `content` . Beware that no nodename, so it would create a text child, not an element.

#### Parameters

content | the content of newly created LassoMiscTextNode |

#### Returns

a newly created LassoMiscTextNode object

### lasso_misc_text_node_new_with_xml_node ()

    LassoMiscTextNode *
    lasso_misc_text_node_new_with_xml_node
                                   (xmlNode *xml_node);

Creates a new LassoMiscTextNode object and initialize it with `xml_node` .

#### Parameters

xml_node | an xmlNode |

#### Returns

a newly created LassoMiscTextNode object

### lasso_misc_text_node_get_xml_content ()

    xmlNode *
    lasso_misc_text_node_get_xml_content (LassoMiscTextNode *misc_text_node);

Return the xml content in this node.

#### Parameters

misc_text_node | a LassoMiscTextNode |

#### Returns

an xmlNode or NULL.

[transfer none]

### lasso_misc_text_node_set_xml_content ()

    void
    lasso_misc_text_node_set_xml_content (LassoMiscTextNode *misc_text_node,
                                          xmlNode *node);

Set the xml content of this LassoMiscTextNode

#### Parameters

misc_text_node | a LassoMiscTextNode |

## Types and Values

### struct LassoMiscTextNode

    struct LassoMiscTextNode {
    	/* elements */
    	char *content;

    	char *name;
    	char *ns_href;
    	char *ns_prefix;
    	gboolean text_child;
    };